Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::max_element_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename C = ordered_less, typename P = ident, requires = (ForwardIterator<I>() && Sentinel<S, I>() && IndirectRelation<C, projected<I, P>>())>
I | operator() (I begin, S end, C pred=C{}, P proj=P{}) const
template<typename Rng , typename C = ordered_less, typename P = ident, typename I = iterator_t<Rng>, requires = (ForwardRange<Rng>() && IndirectRelation<C, projected<I, P>>())>
safe_iterator_t< Rng > | operator() (Rng &&rng, C pred=C{}, P proj=P{}) const